Bug 23226 - Remove type attribute from script tags: Cataloging
Summary: Remove type attribute from script tags: Cataloging
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 22956
  Show dependency treegraph
 
Reported: 2019-06-27 13:23 UTC by Owen Leonard
Modified: 2019-09-03 21:19 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23226: Remove type attribute from script tags: Cataloging (2.08 KB, patch)
2019-06-27 13:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23226: Remove type attribute from script tags: Cataloging (2.14 KB, patch)
2019-07-19 19:30 UTC, Frédérik Chénier
Details | Diff | Splinter Review
Bug 23226: Remove type attribute from script tags: Cataloging (2.21 KB, patch)
2019-07-26 12:59 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-06-27 13:23:46 UTC
This patch will remove the obsolete "type" attribute from <script> tags in the following cataloging templates:

 - intranet-tmpl\prog\en\modules\cataloguing\addbooks.tt
 - intranet-tmpl\prog\en\modules\cataloguing\z3950_auth_search.tt
Comment 1 Owen Leonard 2019-06-27 13:32:50 UTC
Created attachment 91053 [details] [review]
Bug 23226: Remove type attribute from script tags: Cataloging

This patch removes the "type" attribute from <script> tags one
cataloging and one authorities template.

To test, apply the patch and confirm that examples of affected pages
work properly without any JavaScript errors in the browser console:

 - Cataloging -> Cataloging home page
 - Cataloging -> Cataloging home page -> Search results
 - Authorities -> New authority -> New from Z39.50/SRU

Validating the HTML source of any of these pages should return no errors
related to the "type" attribute.
Comment 2 Frédérik Chénier 2019-07-19 19:30:35 UTC
Created attachment 91667 [details] [review]
Bug 23226: Remove type attribute from script tags: Cataloging

This patch removes the "type" attribute from <script> tags one
cataloging and one authorities template.

To test, apply the patch and confirm that examples of affected pages
work properly without any JavaScript errors in the browser console:

 - Cataloging -> Cataloging home page
 - Cataloging -> Cataloging home page -> Search results
 - Authorities -> New authority -> New from Z39.50/SRU

Validating the HTML source of any of these pages should return no errors
related to the "type" attribute.

Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>
Comment 3 Nick Clemens 2019-07-26 12:59:05 UTC
Created attachment 91809 [details] [review]
Bug 23226: Remove type attribute from script tags: Cataloging

This patch removes the "type" attribute from <script> tags one
cataloging and one authorities template.

To test, apply the patch and confirm that examples of affected pages
work properly without any JavaScript errors in the browser console:

 - Cataloging -> Cataloging home page
 - Cataloging -> Cataloging home page -> Search results
 - Authorities -> New authority -> New from Z39.50/SRU

Validating the HTML source of any of these pages should return no errors
related to the "type" attribute.

Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Martin Renvoize 2019-07-26 15:19:25 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-08-09 12:52:01 UTC
Pushed to 19.05.x for 19.05.03
Comment 6 Lucas Gass 2019-09-03 21:19:30 UTC
backported to 18.11.x for 18.11.10